Subject: bug#55109: Emacs build fails: Symbol’s function definition is void: byte-compile-set-symbol-position

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Apr 2022 16:27:43 +0300

> Date: Mon, 25 Apr 2022 15:19:38 +0200
> From: Vincent Lefevre <[email-masked]>
> Cc: [email-masked]
> 
> On 2022-04-25 15:59:15 +0300, Eli Zaretskii wrote:
> > If this was not a freshly cloned repository, did you try "make
> > bootstrap"?
> 
> Indeed, this solves the issue. Shouldn't this be detected
> automatically via dependency tracking?

We don't really have any dependency tracking for Emacs Lisp files.  It
would be a great addition, if someone develops that, I think, because
such problems are quite frequent during active development.

> (I usually do a "make distclean" first, but I think I forgot.
> Not sure whether this is related here.)

"make distclean" is not enough, AFAIR, because it doesn't delete *.elc
files (again AFAIR).  You really need to remove all the *.elc files in
such cases, because the problem is with stale macros that are expanded
into the *.elc files.